# noautorejoin.tcl for netbots.tcl v3.15
# designed to work with eggdrop 1.5.2 or higher
# Johoho's Eggdrop Page - http://johoho.eggdrop.cx
# noautorejoin.tcl copyright (c) 1999,2000 by johoho <johoho@hojo-net.de>
# netbots.tcl copyright (c) 1998-2000 by slennox <slennox@egghelp.org>

## noautorejoin.tcl component script v2.01.1, 19.03.2000 ##

# History:
# 
# v1.00.0, 26.12.1999 - initial release, not public
# v1.20.0, 22.01.2000 - rewrote much of the code
# v1.20.1, 19.03.2000 - changed header and readme :)

if {!$alltools_loaded} {
    proc stricmp {string1 string2} {
        string compare [string tolower $string1] [string tolower $string2]
    }
}

proc ar_matchchanattr {hand flags chan} {
	return [matchattr $hand |$flags $chan]
}

proc ar_kick {nick uhost hand chan kicked reason} {
	global botnick ar_chans ar_seconds
	if {[set khand [nick2hand $kicked $chan]]!="" && [matchattr $khand "b"] && ([ar_matchchanattr $khand "o" $chan] || [matchattr $khand "o"])} {return 0}
	if {[lsearch [strlwr $ar_chans] [strlwr $chan]]<0} {return 0}
	utimer $ar_seconds "ar_do $chan $kicked"
	return 0
}

proc ar_do {chan nick} {
	global botnick
	if {![botisop $chan] || ![onchan $nick $chan]} {return 0}
	putserv "MODE $chan +b $nick $nick!*@*"
	putserv "KICK $chan $nick :no autorejoin - banned for a minute"
    puthelp "PRIVMSG $nick :autorejoin - your're banned for a minute"
	newchanban $chan $nick!*@* $botnick "autorejoin" 1
}

bind kick - * ar_kick